Summary: A library that defines common error values for all GnuPG components.
Name: libgpg-error
Version: 1.6
Release: 10%{?dist}
License: GPL
Group: Applications/System
URL: http://www.gnupg.org/gpgme.html
Source0: ftp://ftp.gnupg.org/gcrypt/libgpg-error/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/libgpg-error/%{name}-%{version}.tar.bz2.sig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gcc-c++

%description
libgpg-error is a library that defines common error values for all
GnuPG components.  Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

%package devel
Summary: Static libraries and header files from libgpg-error.
Group: Development/Libraries
Requires: %{name} = %{eversion}

%description devel
libgpg-error is a library that defines common error values for all
GnuPG components.  Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains files for developing with libgpg-error. You need
the libgpg-error package as well.

%prep
%setup -q

%build
%configure --disable-rpath
make

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc
%{_bindir}/gpg-error
%{_libdir}/libgpg-error.so.*
%{_datadir}/common-lisp/source/gpg-error

%files devel
%defattr(-,root,root,-)
%{_includedir}/gpg-error.h
%{_libdir}/libgpg-error.so
%{_libdir}/libgpg-error.a
%{_libdir}/libgpg-error.la
%{_datadir}/aclocal/gpg-error.m4
%{_bindir}/gpg-error-config

%changelog
* Sat Jan 12 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.6-10
- Update to 1.6.

* Thu Sep 14 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.4
- Update to 1.4.

* Sun Mar 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.3.

* Thu Mar  9 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.

* Sat Jan  8 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.

* Mon Mar 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.7.

* Sat Nov 29 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.6.

* Wed Oct 15 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
